﻿@model Pl.Models.UserWithSummaries
@using Pl.Helper.HtmlExtensions
@Styles.Render("~/bundles/profile")

@{
    ViewBag.Title = "Profile";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex ">Your profile</h2>
    </div>
    <div class="container profile">
        <div class="row">
            <div class="col-md-5">
                <div class="row justify-content-center">
                    <div class="col-12 bg-white p-0 px-3 py-3 mb-3">
                        <div class="d-flex flex-column align-items-center">
                            <div class="profile-image">
                                @if (!string.IsNullOrWhiteSpace(Model.UserModel.ProfileImage))
                                {
                                    @Html.ConvertBase64ToImage(Model.UserModel.ProfileImage)
                                }
                                else
                                {
                                    <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                                }
                            </div>
                            <p class="fw-bold h4 mt-3">@Model.UserModel.Name @Model.UserModel.Surname</p>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center row w-75">
                        <div class="d-flex justify-content-center mb-2">
                            @Html.ActionLink("Change Profile", "ChangeProfile", "User", null, new { @class = "btn btn-info" })
                        </div>
                        @if (User.IsInRole("User"))
                        {
                            <div class="btn-group mb-2" role="group" aria-label="Basic mixed styles example">
                                @Html.ActionLink("My Educations", "GetAllEducations", "Education", null, new { @class = "btn btn-success" })
                                @Html.ActionLink("Add Education", "AddEducation", "Education", null, new { @class = "btn btn-warning" })
                            </div>
                            <div class="btn-group" role="group" aria-label="Basic mixed styles example">
                                @Html.ActionLink("My Works", "GetAllWorkExperiences", "WorkExperience", null, new { @class = "btn btn-success" })
                                @Html.ActionLink("Add Work", "AddWorkExperience", "WorkExperience", null, new { @class = "btn btn-warning" })
                            </div>
                        }
                    </div>
                </div>
            </div>
            <div class="col-md-7 ps-md-4">
                <div class="row">
                    <div class="col-12 bg-white px-3 mb-3 pb-3">
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Full Name</p>
                            <p class="py-2 text-muted">@Model.UserModel.Surname @Model.UserModel.Name @Model.UserModel.Patronymic</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Email</p>
                            <p class="py-2 text-muted">@Model.UserModel.Email</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Phone</p>
                            <p class="py-2 text-muted">@Model.UserModel.PhoneNumber</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Age</p>
                            @if (Model.UserModel.Age != 0)
                            {
                                <p class="py-2 text-muted">@Model.UserModel.Age</p>
                            }
                        </div>
                    </div>
                </div>
                @if (User.IsInRole("User"))
                {
                    <div class="d-flex justify-content-center mb-3">
                        @Html.ActionLink("Add Summary", "CreateNewSummary", "Summary", null, new { @class = "btn btn-primary" })
                    </div>
                    <div id="SummariesListPartialId">
                        @{Html.RenderPartial("~/Views/Summary/SummariesListPartial.cshtml", Model.SummaryModels);}
                    </div>
                }
            </div>
        </div>
    </div>
</div>
